Skip to main content
GET
/
v1
/
rotating
/
statistics
Traffic usage statistics
curl --request GET \
  --url https://api.example.com/v1/rotating/statistics \
  --header 'X-Api-Key: <api-key>'
{
  "total_bytes": 10737418240,
  "total_gb": 10,
  "tx_bytes": 5368709120,
  "rx_bytes": 5368709120
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

from

Start date or datetime in RFC 3339 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2025-01-27T00:00:00Z"

to

End date or datetime in RFC 3339 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2025-12-28"

poolId
number

ID of the proxy pool.

proxyType
enum<string>

If omitted all proxy types will be included

Available options:
residential,
mobile,
datacenter
Example:

"residential"

countryCode
string

2-letter country code (CCA2). If ommited all countries will be included

Example:

"US"

Response

200 - application/json

Successful response

total_bytes
number
required

Total traffic used

Example:

10737418240

total_gb
number
required

Total traffic used in gigabytes

Example:

10

tx_bytes
number
required

Outcoming traffic

Example:

5368709120

rx_bytes
number
required

Incoming traffic

Example:

5368709120